Bug 148214 - Spurious extra blank page in 2-page RTF
Summary: Spurious extra blank page in 2-page RTF
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: medium minor
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.5.0 target:7.4.2
Keywords: bibisected, bisected, filter:rtf, regression
Depends on:
Blocks: RTF-Opening
  Show dependency treegraph
 
Reported: 2022-03-27 05:50 UTC by robert
Modified: 2022-10-03 15:19 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By: Miklos Vajna


Attachments
File showing the bug (15.60 KB, application/msword)
2022-03-27 05:52 UTC, robert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description robert 2022-03-27 05:50:43 UTC
Description:
The attached RTF document contains two pages, it's a small extract from a much bigger document. It opens correctly in MS Word, and there is has two pages. When opened in Writer, a blank page is inserted between these two pages, for unknown reasons.

Steps to Reproduce:
1. Open the w2p-lo3p.rtf file
2.
3.

Actual Results:
The document has three pages

Expected Results:
There should only be two pages


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.3.1.3 (x64) / LibreOffice Community
Build ID: a69ca51ded25f3eefd52d7bf9a5fad8c90b87951
CPU threads: 8; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: Skia/Raster; VCL: win
Locale: en-GB (en_GB); UI: en-US
Calc: CL
Comment 1 robert 2022-03-27 05:52:09 UTC
Created attachment 179136 [details]
File showing the bug

Two pages in Word, three pages in Writer
Comment 2 Telesto 2022-03-27 21:58:43 UTC
Confirm
Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: c1205c1cf6e08d94e6e2e2753679d99bc1842ca0
CPU threads: 8; OS: Mac OS X 12.2.1; UI render: Skia/Raster; VCL: osx
Locale: nl-NL (nl_NL.UTF-8); UI: en-US
Calc: threaded
Comment 3 Timur 2022-03-31 10:12:32 UTC
Yes, Lo opens 3 pages where MSO opens 2, but... small change like single line deletion changes to 2. 

OO used to open 2 pages, then some old regression in 43all. 
41max opens first 11 pages but reverts shortly to 2 in oldest and 3 in master. 
 ee6fd2fd0e0fbd5754dfa90e29627041bf153e3d is the bad commit
Date:   Fri Sep 18 10:26:14 2015 +0800
    source-hash-b70f74cb5f4b499f14831fd6ad49d9238735e6ef
    pre source-hash-4e4bbb913efc05467e0aecdd3f1709c69d47b8bd

author	Miklos Vajna <vmiklos@suse.cz>	2013-02-01
committer	Miklos Vajna <vmiklos@suse.cz>	2013-02-01 
commit b70f74cb5f4b499f14831fd6ad49d9238735e6ef (patch)
tree c3fb9ecc1189630ad826fdaa30580a9ee0d90464
parent 4e4bbb913efc05467e0aecdd3f1709c69d47b8bd (diff)
fdo#48440 fix import of RTF_PAGE between text frames

CC: Miklos. Please see.
Comment 4 Commit Notification 2022-09-09 06:19:23 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3c610336a58f644525d5e4d2566c35eee6f7a618

tdf#148214 RTF import: avoid fake paragraph for \page when possible

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2022-09-20 08:49:30 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/f51a4ad1380d932440c03acb754c82e01838c138

tdf#148214 RTF import: avoid fake paragraph for \page when possible

It will be available in 7.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 BogdanB 2022-10-03 15:19:03 UTC
Thanks for solving this bug.
2 pages in
Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: 100dc387ffd7df84199dae51abd9de35440905f1
CPU threads: 16; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded